# std::tr1::_Tuple_impl< _Idx, _Head, _Tail...> Struct Template Reference

List of all members.

## Detailed Description

### template<int _Idx, typename _Head, typename... _Tail>
struct std::tr1::_Tuple_impl< _Idx, _Head, _Tail...>

Recursive tuple implementation. Here we store the `Head` element and derive from a `Tuple_impl` containing the remaining elements (which contains the `Tail`).

Definition at line 90 of file tr1/tuple.

## Public Types

- typedef _Tuple_impl< _Idx+1,
  _Tail...> _Inherited

## Public Member Functions

- const _Inherited & _M_tail () const
- _Inherited & _M_tail ()
- _Tuple_impl (const _Tuple_impl &__in)
- template<typename... _UElements> _Tuple_impl (const _Tuple_impl< _Idx, _UElements...> &__in)
- _Tuple_impl (typename __add_c_ref< _Head >::type __head, typename __add_c_ref< _Tail >::type...__tail)
- _Tuple_impl ()
- _Tuple_impl & operator= (const _Tuple_impl &__in)
- template<typename... _UElements> _Tuple_impl & operator= (const _Tuple_impl< _Idx, _UElements...> &__in)

## Public Attributes

- _Head _M_head

The documentation for this struct was generated from the following file:

- tr1/tuple